;(function($) {	// noflict for $ jquery
	$(document).ready(function(){
		$(".cnbbr_datagrid_tab tr.cnbbr_datagrid_tr_data").each(function(){
			$(this).hover(function(){
				$(this).children().addClass("cnbbr_datagrid_hover");
			},function(){
				$(this).children().removeClass("cnbbr_datagrid_hover");
			});
		});
		//功能按鈕
		$(".cnbbr_functionbtnsbox button:not([bbrbtnaction=historyback])").each(function(){
			$(this).click(function(){
				var bbrbtnrequired=$(this).attr("bbrbtnrequired");
				var bbrbtngroup=$(this).attr("bbrbtngroup");
				var bbrbtnaction=$(this).attr("bbrbtnaction");

				if(bbrbtnrequired && $("form[name=formdatagrid] input:checked").length<=0){
					alert('【提示】請先從記錄列表里選中你要操作的記錄，再點擊此按鈕！');
					//$.fn.colorbox_cnbbrcom.tip('請先從記錄列表里選中你要操作的記錄，再點擊此按鈕！');
					return false;
				}
				if(bbrbtnaction=='delete'){	//刪除按鈕提示
					if(!confirm('您正在執行刪除操作，請再次確認是否刪除？')){
						return false;
					}
				}
				if(bbrbtnaction=='recover'){	//恢復刪除按鈕提示
					if(!confirm('您正在執行恢復操作，請再次確認是否恢復？')){
						return false;
					}
				}
				if(bbrbtnaction=='lock'){	//恢復刪除按鈕提示
					if(!confirm('您正在執行禁用操作，禁用對[已刪除狀態]的記錄無效，請再次確認是否鎖定？')){
						return false;
					}
				}
				if(bbrbtnaction=='addpower'){	//設為管理按鈕提示
					if(!confirm('您正在為用戶添加管理員權限，請再次確認是否繼續？')){
						return false;
					}
				}
				if(bbrbtngroup=='cls'){
					if(!confirm('當前分類的狀態修改操作將會繼承到其所有子分類，請確認是否繼續？')){
						return false;
					}
				}
				if($("#formdatagridact").length>0){	// 列表操作
					$("#formdatagridact").val(bbrbtnaction);
					$("form[name=formdatagrid]").submit();
				}else{	//單對象操作
					if (/MSIE (\d+\.\d+);/.test(navigator.userAgent)){
						var datagridreferLink = document.createElement('a');  
						datagridreferLink.href = bbrbtnaction;  
						document.body.appendChild(datagridreferLink);  
						datagridreferLink.click();
					} else {  
						location.href = bbrbtnaction;
					}
				}

				return false;
			});
		});
		//SQL數據篩選框
		$(".cnbbr_datagrid_tab_sqlselector select").each(function(){
			$(this).change(function(){
				var self_file_name_prefix=$("#formdatagridself_file_name_prefix").val();
				$.cookie(self_file_name_prefix+"_"+$(this).attr("name"),$(this).val(),"{expires:7}");
				location.reload();
			});
		});
	});
})(jQuery);